Resume environment osquery rollout
POST
/api/v1/environments/osquery/{env}/rollout/resume
const url = 'https://example.com/api/v1/environments/osquery/example/rollout/resume';const options = {method: 'POST', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/environments/osquery/example/rollout/resume \ --header 'Authorization: <Authorization>'Resumes a paused rollout at the stage it paused in and restarts that stage’s wait. Answers 409 unless the rollout is paused. The host names and reasons in the response are reported by hosts and are untrusted. Environment admins.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”env
required
string
Environment name or UUID
Responses
Section titled “Responses”OK
Media typeapplication/json
object
available
Available lists the library version names (no digests), ascending.
Array<string>
counts
Array<object>
object
count
integer
version
string
rollout
Rollout is the environment’s latest rollout, null when it never had one.
object
counts
object
eligible
integer
rolled_back
integer
upgraded
integer
waiting
integer
next_stage_at
string
paused
object
at
string
host
string
reason
string
request_id
string
rolled_back_hosts
RolledBackHosts is newest first, at most 50.
Array<object>
object
at
string
host
string
reason
string
stage
integer
stage_opened_at
string
stages
Array<integer>
state
string
version
string
target
object
request_id
string
updated_at
string
updated_by
string
version
string
windows_hosts
WindowsHosts is the number of Windows hosts in the environment; Windows upgrades cannot be rolled back automatically.
integer
Examplegenerated
{ "available": [ "example" ], "counts": [ { "count": 1, "version": "example" } ], "rollout": { "counts": { "eligible": 1, "rolled_back": 1, "upgraded": 1, "waiting": 1 }, "next_stage_at": "example", "paused": { "at": "example", "host": "example", "reason": "example" }, "request_id": "example", "rolled_back_hosts": [ { "at": "example", "host": "example", "reason": "example" } ], "stage": 1, "stage_opened_at": "example", "stages": [ 1 ], "state": "example", "version": "example" }, "target": { "request_id": "example", "updated_at": "example", "updated_by": "example", "version": "example" }, "windows_hosts": 1}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Rollout is not paused
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}